Tp::Client::DBus::DBusDaemonInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::DBus::DBusDaemonInterface Class Reference
Generic D-Bus proxies

`#include <TelepathyQt/DBus>`

Inherits Tp::AbstractInterface.

## Public Slots
QDBusPendingReply< QString > | Hello (int timeout=-1)
QDBusPendingReply< uint > | RequestName (const QString &name, uint flags, int timeout=-1)
QDBusPendingReply< uint > | ReleaseName (const QString &name, int timeout=-1)
QDBusPendingReply< uint > | StartServiceByName (const QString &service, uint flags, int timeout=-1)
QDBusPendingReply< bool > | NameHasOwner (const QString &nameToCheck, int timeout=-1)
QDBusPendingReply< QStringList > | ListNames (int timeout=-1)
QDBusPendingReply< QStringList > | ListActivatableNames (int timeout=-1)
QDBusPendingReply | AddMatch (const QString &rule, int timeout=-1)
QDBusPendingReply | RemoveMatch (const QString &rule, int timeout=-1)
QDBusPendingReply< QString > | GetNameOwner (const QString &name, int timeout=-1)
QDBusPendingReply< QStringList > | ListQueuedOwners (const QString &name, int timeout=-1)
QDBusPendingReply< uint > | GetConnectionUnixUser (const QString &connectionName, int timeout=-1)
QDBusPendingReply< uint > | GetConnectionUnixProcessID (const QString &connectionName, int timeout=-1)
QDBusPendingReply< QByteArray > | GetConnectionSELinuxSecurityContext (const QString &connectionName, int timeout=-1)
QDBusPendingReply | ReloadConfig (int timeout=-1)
QDBusPendingReply< QString > | GetId (int timeout=-1)

## Signals
void | NameOwnerChanged (const QString &name, const QString &oldOwner, const QString &newOwner)
void | NameLost (const QString &name)
void | NameAcquired (const QString &name)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions
| DBusDaemonInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| DBusDaemonInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| DBusDaemonInterface (Tp::DBusProxy *proxy)
| DBusDaemonInterface (const Tp::AbstractInterface &mainInterface)
| DBusDaemonInterface (const Tp::AbstractInterface &mainInterface, QObject *parent)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions
static QLatin1String | staticInterfaceName ()

## Protected Member Functions
virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.DBus".

## Constructor & Destructor Documentation

Tp::Client::DBus::DBusDaemonInterface::DBusDaemonInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a DBusDaemonInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::DBus::DBusDaemonInterface::DBusDaemonInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a DBusDaemonInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::DBus::DBusDaemonInterface::DBusDaemonInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a DBusDaemonInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::DBus::DBusDaemonInterface::DBusDaemonInterface | ( | const Tp::AbstractInterface & | mainInterface | ) |
| explicit

Creates a DBusDaemonInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::DBus::DBusDaemonInterface::DBusDaemonInterface | ( | const Tp::AbstractInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a DBusDaemonInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::DBus::DBusDaemonInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Returns the name of the interface "org.freedesktop.DBus", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::DBus::DBusDaemonInterface::requestAllProperties | ( |  | ) | const
| inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<QString> Tp::Client::DBus::DBusDaemonInterface::Hello | ( | int | timeout = `-1` | ) |
| inlineslot

Begins a call to the D-Bus method `Hello` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<uint> Tp::Client::DBus::DBusDaemonInterface::RequestName | ( | const QString & | name,
|  | uint | flags,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `RequestName` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<uint> Tp::Client::DBus::DBusDaemonInterface::ReleaseName | ( | const QString & | name,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `ReleaseName` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<uint> Tp::Client::DBus::DBusDaemonInterface::StartServiceByName | ( | const QString & | service,
|  | uint | flags,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `StartServiceByName` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<bool> Tp::Client::DBus::DBusDaemonInterface::NameHasOwner | ( | const QString & | nameToCheck,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `NameHasOwner` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<QStringList> Tp::Client::DBus::DBusDaemonInterface::ListNames | ( | int | timeout = `-1` | ) |
| inlineslot

Begins a call to the D-Bus method `ListNames` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<QStringList> Tp::Client::DBus::DBusDaemonInterface::ListActivatableNames | ( | int | timeout = `-1` | ) |
| inlineslot

Begins a call to the D-Bus method `ListActivatableNames` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply Tp::Client::DBus::DBusDaemonInterface::AddMatch | ( | const QString & | rule,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `AddMatch` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply Tp::Client::DBus::DBusDaemonInterface::RemoveMatch | ( | const QString & | rule,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `RemoveMatch` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<QString> Tp::Client::DBus::DBusDaemonInterface::GetNameOwner | ( | const QString & | name,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `GetNameOwner` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<QStringList> Tp::Client::DBus::DBusDaemonInterface::ListQueuedOwners | ( | const QString & | name,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `ListQueuedOwners` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<uint> Tp::Client::DBus::DBusDaemonInterface::GetConnectionUnixUser | ( | const QString & | connectionName,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `GetConnectionUnixUser` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<uint> Tp::Client::DBus::DBusDaemonInterface::GetConnectionUnixProcessID | ( | const QString & | connectionName,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `GetConnectionUnixProcessID` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<QByteArray> Tp::Client::DBus::DBusDaemonInterface::GetConnectionSELinuxSecurityContext | ( | const QString & | connectionName,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `GetConnectionSELinuxSecurityContext` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply Tp::Client::DBus::DBusDaemonInterface::ReloadConfig | ( | int | timeout = `-1` | ) |
| inlineslot

Begins a call to the D-Bus method `ReloadConfig` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

QDBusPendingReply<QString> Tp::Client::DBus::DBusDaemonInterface::GetId | ( | int | timeout = `-1` | ) |
| inlineslot

Begins a call to the D-Bus method `GetId` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  timeout | The timeout in milliseconds.

void Tp::Client::DBus::DBusDaemonInterface::NameOwnerChanged | ( | const QString & | name,
|  | const QString & | oldOwner,
|  | const QString & | newOwner
| ) |  |
| signal

Represents the signal `NameOwnerChanged` on the remote object.

void Tp::Client::DBus::DBusDaemonInterface::NameLost | ( | const QString & | name | ) |
| signal

Represents the signal `NameLost` on the remote object.

void Tp::Client::DBus::DBusDaemonInterface::NameAcquired | ( | const QString & | name | ) |
| signal

Represents the signal `NameAcquired` on the remote object.

void Tp::Client::DBus::DBusDaemonInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtual

Reimplemented from Tp::AbstractInterface.